Summary: Download files from the usenet
Name: nntpgrab
Version: 0.5.1
Release: 1%{?dist}
License: GPLv2+
Group: Applications/Internet
Source0: http://www.nntpgrab.nl/releases/nntpgrab-%{version}.tar.bz2
Source1: nntpgrab_php.ini
Source2: nntpgrab_apache.conf

BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
URL: http://www.nntpgrab.nl

Requires:	nntpgrab-gui = %{version}-%{release}
Requires:	nntpgrab-server = %{version}-%{release}
Requires:	nntpgrab-server-gui = %{version}-%{release}

BuildRequires:	desktop-file-utils
BuildRequires:	gtkhtml3-devel
BuildRequires:	gettext
BuildRequires:	gtk2-devel
BuildRequires:	libxml2-devel
BuildRequires:	libgnome-devel
BuildRequires:	libgnomeui-devel
BuildRequires:	libnotify-devel
BuildRequires:	sqlite-devel
BuildRequires:	php-devel
BuildRequires:	dbus-devel
BuildRequires:	intltool
BuildRequires:	libsoup-devel
BuildRequires:	par2cmdline
%if 0%{?rhel} > 0
BuildRequires:  pcre-devel
BuildRequires:  curl-devel
BuildRequires:  openssl-devel
%endif
%if 0%{?fedora} > 0
BuildRequires:  nss-devel
BuildRequires:  nss_compat_ossl-devel
BuildRequires:	PolicyKit-gnome-devel
%endif

%description
With this program it is possible to download files from the usenet

%package core
Summary:	NNTPGrab Core library
Group:		%{group}
Requires:	par2cmdline
Obsoletes:	nntpgrab-plugin-nntp <= 0.2.1-1%{?dist}
Provides:	nntpgrab-plugin-nntp = %{version}-%{release}
Obsoletes:	nntpgrab-plugin-decoder <= 0.2.1-1%{?dist}
Provides:	nntpgrab-plugin-decoder = %{version}-%{release}
Obsoletes:	nntpgrab-plugin-schedular <= 0.2.1-1%{?dist}
Provides:	nntpgrab-plugin-schedular = %{version}-%{release}
Obsoletes:	nntpgrab-plugins <= 0.3.3-2%{?dist}
Provides:	nntpgrab-plugins = %{version}-%{release}
Obsoletes:	nntpgrab-core-libs <= 0.4.2-3%{?dist}
Provides:	nntpgrab-core-libs = %{version}-%{release}

%post	core -p /sbin/ldconfig
%postun	core -p /sbin/ldconfig

%description core
Core library of NNTPGrab containing all the internal plugins

%package gui-base
Summary:	Libraries required for the NNTPGrab GUI and NNTPGrab Server
Group:		%{group}

%post	gui-base -p /sbin/ldconfig
%postun gui-base -p /sbin/ldconfig

%description gui-base
The libraries in this package contains functions which are required
by both the NNTPGrab GUI and the NNTPGrab Server

%package gui
Summary:	GUI Frontend of NNTPGrab
Requires:	nntpgrab-core = %{version}-%{release}
Requires:	nntpgrab-gui-base = %{version}-%{release}
Requires:	xdg-utils
Group:		%{group}
Obsoletes:	nntpgrab-gui-networked <= 0.4.2-3%{?dist}
Provides:	nntpgrab-gui-networked = %{version}-%{release}

%description gui
GUI Frontend of NNTPGrab

%package devel
Summary:	Development files for NNTPGrab
Group:		%{group}
Requires:	nntpgrab = %{version}-%{release}
Requires:	glib2-devel

%description devel
Development files needed to create NNTPGrab frontends

%package server
Summary:	NNTPGrab server (Console version)
Group:		%{group}
Requires:	nntpgrab-core = %{version}-%{release}

%description server
The NNTPGrab Server is required if you want to use the NNTPGrab webinterface
or control the program from a remote computer

This is the console version

%package server-gui
Summary:	NNTPGrab server (GUI version)
Group:		%{group}
Requires:	nntpgrab-core = %{version}-%{release}
Requires:	nntpgrab-gui-base = %{version}-%{release}

%description server-gui
The NNTPGrab Server is required if you want to use the NNTPGrab webinterface
or control the program from a remote computer

This the GUI version

%package web
Summary:	NNTPGrab web interface
Requires:	nntpgrab-core = %{version}-%{release}
Group:		%{group}
Requires:	webserver 
Requires:	php >= 4.1.0

%description web
Web interface to control NNTPGrab

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL_ROOT=%{buildroot}

desktop-file-install --vendor fedora --delete-original \
  --add-category Network \
  --copy-generic-name-to-name \
  --dir %{buildroot}%{_datadir}/applications \
  %{buildroot}%{_datadir}/applications/nntpgrab.desktop

desktop-file-install --vendor fedora --delete-original \
  --add-category Network \
  --copy-generic-name-to-name \
  --dir %{buildroot}%{_datadir}/applications \
  %{buildroot}%{_datadir}/applications/nntpgrab_server.desktop

# Rename the plugins from name_of_plugin.so.0.0.0 to name_of_plugin.so
rm %{buildroot}%{_libdir}/nntpgrab/libnntpgrab_plugin_decoder.so
rm %{buildroot}%{_libdir}/nntpgrab/libnntpgrab_plugin_decoder.so.0
mv %{buildroot}%{_libdir}/nntpgrab/libnntpgrab_plugin_decoder.so.0.0.0 %{buildroot}%{_libdir}/nntpgrab/libnntpgrab_plugin_decoder.so

rm %{buildroot}%{_libdir}/nntpgrab/libnntpgrab_plugin_nntp.so
rm %{buildroot}%{_libdir}/nntpgrab/libnntpgrab_plugin_nntp.so.0
mv %{buildroot}%{_libdir}/nntpgrab/libnntpgrab_plugin_nntp.so.0.0.0 %{buildroot}%{_libdir}/nntpgrab/libnntpgrab_plugin_nntp.so

rm %{buildroot}%{_libdir}/nntpgrab/libnntpgrab_plugin_schedular.so
rm %{buildroot}%{_libdir}/nntpgrab/libnntpgrab_plugin_schedular.so.0
mv %{buildroot}%{_libdir}/nntpgrab/libnntpgrab_plugin_schedular.so.0.0.0 %{buildroot}%{_libdir}/nntpgrab/libnntpgrab_plugin_schedular.so

rm %{buildroot}%{_libdir}/nntpgrab/libnntpgrab_plugin_par2.so
rm %{buildroot}%{_libdir}/nntpgrab/libnntpgrab_plugin_par2.so.0
mv %{buildroot}%{_libdir}/nntpgrab/libnntpgrab_plugin_par2.so.0.0.0 %{buildroot}%{_libdir}/nntpgrab/libnntpgrab_plugin_par2.so

rm %{buildroot}%{_libdir}/nntpgrab/libnntpgrab_plugin_unpack.so
rm %{buildroot}%{_libdir}/nntpgrab/libnntpgrab_plugin_unpack.so.0
mv %{buildroot}%{_libdir}/nntpgrab/libnntpgrab_plugin_unpack.so.0.0.0 %{buildroot}%{_libdir}/nntpgrab/libnntpgrab_plugin_unpack.so

# Libtool files are unnecessary
rm %{buildroot}%{_libdir}/libnntpgrab.la
rm %{buildroot}%{_libdir}/libnntpgrab_glue.la
rm %{buildroot}%{_libdir}/libnntpgrab_utils.la
rm %{buildroot}%{_libdir}/libnntpgrab_automation.la
rm %{buildroot}%{_libdir}/libnntpgrab_gui_base.la
rm %{buildroot}%{_libdir}/nntpgrab/libnntpgrab_plugin_decoder.la
rm %{buildroot}%{_libdir}/nntpgrab/libnntpgrab_plugin_nntp.la
rm %{buildroot}%{_libdir}/nntpgrab/libnntpgrab_plugin_schedular.la
rm %{buildroot}%{_libdir}/nntpgrab/libnntpgrab_plugin_par2.la
rm %{buildroot}%{_libdir}/nntpgrab/libnntpgrab_plugin_unpack.la

# Install the webinterface to /usr/share/nntpgrab/web
mkdir -p %{buildroot}/%{_datadir}/%{name}/web
cp -ad client/web/* %{buildroot}/%{_datadir}/%{name}/web
cp -ad client/web/.htaccess %{buildroot}/%{_datadir}/%{name}/web
rm -rf %{buildroot}/%{_datadir}/%{name}/web/module
rm -f %{buildroot}%{_datadir}/%{name}/web/Makefile*

# Webinterface configuration
mkdir -p %{buildroot}/%{_sysconfdir}/httpd/conf.d/
mkdir -p %{buildroot}/%{_sysconfdir}/php.d
mkdir -p %{buildroot}/%{_sysconfdir}/%{name}
install -m 644 %{SOURCE1} %{buildroot}/%{_sysconfdir}/php.d/nntpgrab.ini
install -m 644 %{SOURCE2} %{buildroot}/%{_sysconfdir}/httpd/conf.d/nntpgrab.conf
install -m 644 client/web/config.ini %{buildroot}/%{_sysconfdir}/%{name}/config.ini
rm -f %{buildroot}/%{_datadir}/%{name}/web/config.ini
ln -s %{_sysconfdir}/%{name}/config.ini %{buildroot}/%{_datadir}/%{name}/web/config.ini

# The glade interface isn't used on GTK 2.12.0 and higher
rm -f %{buildroot}%{_datadir}/nntpgrab/nntpgrab_gui.glade
rm -f %{buildroot}%{_datadir}/nntpgrab/nntpgrab_server.glade

%find_lang NNTPGrab

%clean
rm -rf %{buildroot}
	
%files
%defattr(-,root,root,-)

%files core -f NNTPGrab.lang
%defattr(-,root,root,-)
%{_libdir}/libnntpgrab.so.0
%{_libdir}/libnntpgrab.so.0.0.0
%{_libdir}/libnntpgrab_automation.so.0
%{_libdir}/libnntpgrab_automation.so.0.0.0
%{_libdir}/libnntpgrab_utils.so.0
%{_libdir}/libnntpgrab_utils.so.0.0.0
%{_libdir}/libnntpgrab_glue.so.0
%{_libdir}/libnntpgrab_glue.so.0.0.0
%dir %{_libdir}/nntpgrab
%{_libdir}/nntpgrab/libnntpgrab_plugin_nntp.so
%{_libdir}/nntpgrab/libnntpgrab_plugin_decoder.so
%{_libdir}/nntpgrab/libnntpgrab_plugin_schedular.so
%{_libdir}/nntpgrab/libnntpgrab_plugin_par2.so
%{_libdir}/nntpgrab/libnntpgrab_plugin_unpack.so
%{_datadir}/pixmaps/nntpgrab.png
%dir %{_datadir}/nntpgrab
%doc COPYING ChangeLog

%files gui
%defattr(-,root,root,-)
%{_datadir}/applications/fedora-nntpgrab.desktop
%{_bindir}/nntpgrab_gui
%{_datadir}/nntpgrab/nntpgrab_gui.ui

%files devel
%defattr(-,root,root,-)
%{_libdir}/libnntpgrab.so
%{_libdir}/libnntpgrab_glue.so
%{_libdir}/libnntpgrab_utils.so
%{_libdir}/libnntpgrab_automation.so
%{_libdir}/libnntpgrab_gui_base.so
%{_includedir}/nntpgrab
%{_libdir}/pkgconfig/nntpgrab.pc
%{_libdir}/pkgconfig/nntpgrab_automation.pc
%{_libdir}/pkgconfig/nntpgrab_glue.pc
%{_libdir}/pkgconfig/nntpgrab_utils.pc

%files gui-base
%defattr(-,root,root,-)
%{_libdir}/libnntpgrab_gui_base.so.0
%{_libdir}/libnntpgrab_gui_base.so.0.0.0

%files server
%defattr(-,root,root,-)
%{_bindir}/nntpgrab_server

%files server-gui
%defattr(-,root,root,-)
%{_bindir}/nntpgrab_server_gui
%{_datadir}/applications/fedora-nntpgrab_server.desktop
%{_datadir}/nntpgrab/nntpgrab_server.ui

%files web
%defattr(-,root,root,-)
%{_libdir}/php/modules/php_nntpgrab.so
%config(noreplace) %{_sysconfdir}/httpd/conf.d/nntpgrab.conf
%config(noreplace) %{_sysconfdir}/php.d/nntpgrab.ini
%config(noreplace) %{_sysconfdir}/%{name}
%{_datadir}/nntpgrab/web

%changelog
* Sun Jul 19 2009 Erik van Pienbroek <info@nntpgrab.nl> - 0.5.1-1
- Update to 0.5.1

* Mon Jun 29 2009 Erik van Pienbroek <info@nntpgrab.nl> - 0.5.0-1
- Update to 0.5.0
- Added support for EPEL-5

* Tue May  5 2009 Erik van Pienbroek <info@nntpgrab.nl> - 0.4.91-1
- Update to 0.4.91
- Drop upstreamed patches

* Mon Apr 13 2009 Erik van Pienbroek <info@nntpgrab.nl> - 0.4.90-3
- Added a patch to prevent a possible deadlock (upstream SVN rev #1264)
- Added a patch to fix the removal of collections (upstream SVN rev #1260)
- Added BR: gail-devel for F9 (RHBZ #491785)

* Sat Mar 21 2009 Erik van Pienbroek <info@nntpgrab.nl> - 0.4.90-2
- The program wouldn't start unless the -devel package was installed. Fixed

* Sun Mar 15 2009 Erik van Pienbroek <info@nntpgrab.nl> - 0.4.90-1
- Update to 0.4.90
- Removed the core-libs subpackage (obsoleted by the core subpackage)
- Removed the gui-networked subpackage (obsoleted by the gui subpackage)
- Added the server-gui subpackage
- Drop upstreamed patch

* Thu Feb 26 2009 Erik van Pienbroek <info@nntpgrab.nl> - 0.4.2-3
- Disabled the test_nntp_connection and test_configuration testcases
  as they relied on internal library data which isn't exported
  anymore with GCC 4.4

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Jan 10 2009 Erik van Pienbroek <info@nntpgrab.nl> - 0.4.2-1
- Update to 0.4.2

* Mon Dec 29 2008 Erik van Pienbroek <info@nntpgrab.nl> - 0.4.1-1
- Update to 0.4.1
- Fix a broken upgrade path

* Mon Dec 8 2008 Erik van Pienbroek <info@nntpgrab.nl> - 0.4.0-2
- Updated summary
- The PHP scripts don't need to be part of the core-libs subpackage, but
  of the web subpackage
- Install the NNTPGrab server when the meta-package 'nntpgrab' is installed
- Drop an obsolete Requires

* Sun Nov 23 2008 Erik van Pienbroek <info@nntpgrab.nl> - 0.4.0-1
- Update to 0.4.0

* Fri Oct 10 2008 Erik van Pienbroek <info@nntpgrab.nl> - 0.3.93-1
- Update to 0.3.93

* Fri Oct 3 2008 Erik van Pienbroek <info@nntpgrab.nl> - 0.3.92-2
- Tarball was respun by upstream

* Fri Oct 3 2008 Erik van Pienbroek <info@nntpgrab.nl> - 0.3.92-1
- Update to 0.3.92
- Drop upstreamed patch

* Sat Sep 13 2008 Erik van Pienbroek <info@nntpgrab.nl> - 0.3.91-2
- BR: libtool added

* Sat Sep 13 2008 Erik van Pienbroek <info@nntpgrab.nl> - 0.3.91-1
- Update to 0.3.91
- Added a patch to use NSS instead of OpenSSL (with the help of nss_compat_ossl)
- The .htaccess file was missing in the nntpgrab-web subpackage

* Thu Aug 28 2008 Michael Schwendt <mschwendt@fedoraproject.org> - 0.3.90-3
- Include %%_libdir/nntpgrab directory.

* Fri Aug 22 2008 Erik van Pienbroek <info@nntpgrab.nl> - 0.3.90-2
- Reverted one of the rpmlint fixes as it was causing a build failure

* Fri Aug 22 2008 Erik van Pienbroek <info@nntpgrab.nl> - 0.3.90-1
- Update to version 0.3.90 (0.4 beta 1)
- Upstream has changed a lot in the infrastructure:
  - Added core-libs subpackage
  - Added gui-base subpackage
  - Added gui-networked subpackage
  - Merged the plugins subpackage with the core subpackage
- Several rpmlint warnings fixed

* Sat Aug 9 2008 Erik van Pienbroek <info@nntpgrab.nl> - 0.3.3-1
- Update to version 0.3.3

* Sat Jul 19 2008 Erik van Pienbroek <info@nntpgrab.nl> - 0.3.2-2
- Tarball was respun by upstream

* Sat Jul 19 2008 Erik van Pienbroek <info@nntpgrab.nl> - 0.3.2-1
- Update to version 0.3.2

* Wed Jun 11 2008 Erik van Pienbroek <info@nntpgrab.nl> - 0.3.1-2
- Added BR: intltool

* Wed Jun 11 2008 Erik van Pienbroek <info@nntpgrab.nl> - 0.3.1-1
- Update to version 0.3.1

* Sun Jun 1 2008 Erik van Pienbroek <info@nntpgrab.nl> - 0.3.0-1
- Update to version 0.3.0

* Mon May 26 2008 Erik van Pienbroek <info@nntpgrab.nl> - 0.2.91-1
- Update to version 0.2.91 (0.3 beta 2)

* Sat May 17 2008 Erik van Pienbroek <info@nntpgrab.nl> - 0.2.90-1
- Update to version 0.2.90 (0.3 beta 1) containing lots of new features
- Added a -server subpackage
- Added a -web subpackage
- All the plugins are now moved to %%{_libdir}/nntpgrab

* Sat Mar 8 2008 Erik van Pienbroek <info@nntpgrab.nl> - 0.2.4-1
- Update to version 0.2.4
- Drop upstreamed patches

* Sat Mar 1 2008 Erik van Pienbroek <info@nntpgrab.nl> - 0.2.3-2
- The program would always crash with GTK 2.12.7 or higher.
  Added a patch to avoid this crash (GNOME BZ #514162)

* Tue Feb 5 2008 Erik van Pienbroek <info@nntpgrab.nl> - 0.2.3-1
- Update to 0.2.3. Fixes regression in 0.2.2
- Added a patch to fix an off-by-one error

* Sun Jan 27 2008 Erik van Pienbroek <info@nntpgrab.nl> - 0.2.2-1
- Update to 0.2.2, bugfix release which should solve some
  deadlocks and eternal loops

* Sat Jan 12 2008 Erik van Pienbroek <info@nntpgrab.nl> - 0.2.1-4
- Removed the %%post{,un} scriptlets for the -plugins subpackage
- Removed README file from %%doc as it is a zero-byte file
- Removed the .la file from the -devel subpackage

* Fri Jan 11 2008 Erik van Pienbroek <info@nntpgrab.nl> - 0.2.1-3
- Processed feedback from Mamoru Tasaka which was posted in the bugzilla ticket

* Sun Dec 30 2007 Erik van Pienbroek <info@nntpgrab.nl> - 0.2.1-2
- Preparations for inclusion in Fedora

* Wed Dec 26 2007 Erik van Pienbroek <info@nntpgrab.nl> - 0.2.1-1
- Version 0.2.1

* Mon Dec 24 2007 Erik van Pienbroek <info@nntpgrab.nl> - 0.2-1
- Version 0.2

* Tue Nov 27 2007 Erik van Pienbroek <info@nntpgrab.nl> - 0.1-1
- Initial release

